{
	"component": "form",
	"attribute": {
		"name": "sor_Input",
		"style": ["position:absolute", "left:0px", "top:0px", "width:936px", "height:635px"]
	},
	"children": [
		{
			"attribute": {
				"id": "SOR_HS_CRITICAL_START_DATE",
				"style": ["position:absolute", "left:20px", "top:35px", "width:170px", "height:15px"]
			},
			"component": "label",
			"content": "Kriittinen alkupv"
		},
		{
			"attribute": {
				"name": "SOR_FD_CRITICAL_START_DATE",
				"style": ["position:absolute", "left:192px", "top:35px", "width:100px", "height:15px"],
				"type": "date",
				"value": "0000-00-00"
			},
			"component": "input"
		},
		{
			"attribute": {
				"id": "SOR_HS_CRITICAL_START_TIME",
				"style": ["position:absolute", "left:332px", "top:35px", "width:170px", "height:15px"]
			},
			"component": "label",
			"content": "Kriittinen alkuaika"
		},
		{
			"attribute": {
				"name": "SOR_FH_CRITICAL_START_TIME",
				"style": ["position:absolute", "left:504px", "top:35px", "width:100px", "height:15px"],
				"type": "time",
				"value": "00:00:00"
			},
			"component": "input"
		},
		{
			"attribute": {
				"id": "SOR_HS_CRITICAL_START_DIFFERENC",
				"style": ["position:absolute", "left:644px", "top:35px", "width:170px", "height:15px"]
			},
			"component": "label",
			"content": "Kritt. alkupäivän ero"
		},
		{
			"attribute": {
				"name": "SOR_FR_CRITICAL_START_DIFFERENC",
				"style": ["position:absolute", "left:816px", "top:35px", "width:100px", "height:15px"],
				"type": "text",
				"value": "0"
			},
			"component": "input"
		},
		{
			"attribute": {
				"id": "SOR_HS_EST_MANUFACTURE_DATE",
				"style": ["position:absolute", "left:20px", "top:57px", "width:170px", "height:15px"]
			},
			"component": "label",
			"content": "Arvioitu valmistumispäivä"
		},
		{
			"attribute": {
				"name": "SOR_FD_EST_MANUFACTURE_DATE",
				"style": ["position:absolute", "left:192px", "top:57px", "width:100px", "height:15px"],
				"type": "date",
				"value": "0000-00-00"
			},
			"component": "input"
		},
		{
			"attribute": {
				"id": "SOR_HS_EST_MANUFACTURE_TIME",
				"style": ["position:absolute", "left:332px", "top:57px", "width:170px", "height:15px"]
			},
			"component": "label",
			"content": "Arvioitu valmistumisaika"
		},
		{
			"attribute": {
				"name": "SOR_FH_EST_MANUFACTURE_TIME",
				"style": ["position:absolute", "left:504px", "top:57px", "width:100px", "height:15px"],
				"type": "time",
				"value": "00:00:00"
			},
			"component": "input"
		},
		{
			"attribute": {
				"id": "SOR_HS_EST_FINISH_DIFFERENCE",
				"style": ["position:absolute", "left:644px", "top:57px", "width:170px", "height:15px"]
			},
			"component": "label",
			"content": "Arv. valm. päivän ero"
		},
		{
			"attribute": {
				"name": "SOR_FR_EST_FINISH_DIFFERENCE",
				"style": ["position:absolute", "left:816px", "top:57px", "width:100px", "height:15px"],
				"type": "text",
				"value": "0"
			},
			"component": "input"
		},
		{
			"attribute": {
				"id": "SOR_HS_PROJECT_ID",
				"style": ["position:absolute", "left:20px", "top:79px", "width:170px", "height:15px"]
			},
			"component": "label",
			"content": "Projekti"
		},
		{
			"attribute": {
				"id": "SOR_FS_PROJECT_ID",
				"name": "SOR_FS_PROJECT_ID",
				"style": ["position:absolute", "left:192px", "top:79px", "width:100px", "height:15px"],
				"type": "text"
			},
			"component": "input"
		},
		{
			"attribute": {
				"id": "SOR_HS_CUSTOMER_PROJECT",
				"style": ["position:absolute", "left:332px", "top:79px", "width:170px", "height:15px"]
			},
			"component": "label",
			"content": "As. projekti"
		},
		{
			"attribute": {
				"id": "SOR_FS_CUSTOMER_PROJECT",
				"name": "SOR_FS_CUSTOMER_PROJECT",
				"style": ["position:absolute", "left:504px", "top:79px", "width:100px", "height:15px"],
				"type": "text"
			},
			"component": "input"
		},
		{
			"attribute": {
				"id": "SOR_HS_TRANSFER_ID",
				"style": ["position:absolute", "left:644px", "top:79px", "width:170px", "height:15px"]
			},
			"component": "label",
			"content": "Siirtotunnus"
		},
		{
			"attribute": {
				"id": "SOR_FS_TRANSFER_ID",
				"name": "SOR_FS_TRANSFER_ID",
				"style": ["position:absolute", "left:816px", "top:79px", "width:100px", "height:15px"],
				"type": "text"
			},
			"component": "input"
		},
		{
			"attribute": {
				"id": "SOR_HS_SALES_PRICE_TOTAL",
				"style": ["position:absolute", "left:20px", "top:123px", "width:170px", "height:15px"]
			},
			"component": "label",
			"content": "Myyntihinta mrä"
		},
		{
			"attribute": {
				"name": "SOR_FR_SALES_PRICE_TOTAL",
				"style": ["position:absolute", "left:192px", "top:123px", "width:100px", "height:15px"],
				"type": "text",
				"value": "1"
			},
			"component": "input"
		},
		{
			"attribute": {
				"id": "SOR_HS_POSTCALC_DATE",
				"style": ["position:absolute", "left:644px", "top:123px", "width:190px", "height:15px"]
			},
			"component": "label",
			"content": "Jälkilaskentapäivä"
		},
		{
			"attribute": {
				"name": "SOR_FD_POSTCALC_DATE",
				"style": ["position:absolute", "left:816px", "top:123px", "width:100px", "height:15px"],
				"type": "date",
				"value": "0000-00-00"
			},
			"component": "input"
		},
		{
			"attribute": {
				"id": "SOR_HS_COST_PRICE_TOTAL",
				"style": ["position:absolute", "left:20px", "top:145px", "width:170px", "height:15px"]
			},
			"component": "label",
			"content": "Omakustannus/mrä"
		},
		{
			"attribute": {
				"name": "SOR_FR_COST_PRICE_TOTAL",
				"style": ["position:absolute", "left:192px", "top:145px", "width:100px", "height:15px"],
				"type": "text",
				"value": "1,8"
			},
			"component": "input"
		},
		{
			"attribute": {
				"id": "SOR_HS_SALES_MARGIN",
				"style": ["position:absolute", "left:332px", "top:145px", "width:170px", "height:15px"]
			},
			"component": "label",
			"content": "Kate yht."
		},
		{
			"attribute": {
				"name": "SOR_FR_SALES_MARGIN",
				"style": ["position:absolute", "left:504px", "top:145px", "width:100px", "height:15px"],
				"type": "text",
				"value": "-1,8"
			},
			"component": "input"
		},
		{
			"attribute": {
				"id": "SOR_HS_SALES_MARGIN_PERCENTAGE",
				"style": ["position:absolute", "left:644px", "top:145px", "width:170px", "height:15px"]
			},
			"component": "label",
			"content": "Kate %"
		},
		{
			"attribute": {
				"name": "SOR_FR_SALES_MARGIN_PERCENTAGE",
				"style": ["position:absolute", "left:816px", "top:145px", "width:100px", "height:15px"],
				"type": "text",
				"value": "999"
			},
			"component": "input"
		},
		{
			"attribute": {
				"id": "SOR_HS_MATERIAL_COST",
				"style": ["position:absolute", "left:20px", "top:167px", "width:170px", "height:15px"]
			},
			"component": "label",
			"content": "Materiaalien omakust."
		},
		{
			"attribute": {
				"name": "SOR_FR_MATERIAL_COST",
				"style": ["position:absolute", "left:192px", "top:167px", "width:100px", "height:15px"],
				"type": "text",
				"value": "0"
			},
			"component": "input"
		},
		{
			"attribute": {
				"id": "SOR_HS_MATERIAL_MARGIN",
				"style": ["position:absolute", "left:332px", "top:167px", "width:170px", "height:15px"]
			},
			"component": "label",
			"content": "Materiaalikate yht."
		},
		{
			"attribute": {
				"name": "SOR_FR_MATERIAL_MARGIN",
				"style": ["position:absolute", "left:504px", "top:167px", "width:100px", "height:15px"],
				"type": "text",
				"value": "0"
			},
			"component": "input"
		},
		{
			"attribute": {
				"id": "SOR_HS_MATERIAL_MARGIN_PERCENTA",
				"style": ["position:absolute", "left:644px", "top:167px", "width:170px", "height:15px"]
			},
			"component": "label",
			"content": "Materiaalikate %"
		},
		{
			"attribute": {
				"name": "SOR_FR_MATERIAL_MARGIN_PERCENTA",
				"style": ["position:absolute", "left:816px", "top:167px", "width:100px", "height:15px"],
				"type": "text",
				"value": "0"
			},
			"component": "input"
		},
		{
			"attribute": {
				"id": "SOR_HS_ADDITIONAL_DATA",
				"style": ["position:absolute", "left:20px", "top:189px", "width:170px", "height:15px"]
			},
			"component": "label",
			"content": "Lisädata"
		},
		{
			"attribute": {
				"name": "SOR_FT_ADDITIONAL_DATA",
				"style": ["position:absolute", "left:192px", "top:189px", "width:726px", "height:122px"]
			},
			"component": "textarea"
		},
		{
			"attribute": {
				"id": "splitter",
				"style": ["position:absolute", "left:10px", "top:319px", "width:916px", "height:5px"]
			},
			"children": [
				{
					"attribute": {
						"style": ["height: 2px", "border: none", "color:darkgray", "background-color:darkgray"]
					},
					"component": "hr"
				}
			],
			"component": "span"
		},
		{
			"attribute": {
				"id": "SOR_HS_EXPLANATION",
				"style": ["position:absolute", "left:20px", "top:336px", "width:170px", "height:15px"]
			},
			"component": "label",
			"content": "Selitys"
		},
		{
			"attribute": {
				"name": "SOR_FT_EXPLANATION",
				"style": ["position:absolute", "left:192px", "top:336px", "width:724px", "height:133px"]
			},
			"component": "textarea"
		},
		{
			"attribute": {
				"id": "splitter",
				"style": ["position:absolute", "left:10px", "top:477px", "width:916px", "height:5px"]
			},
			"children": [
				{
					"attribute": {
						"style": ["height: 2px", "border: none", "color:darkgray", "background-color:darkgray"]
					},
					"component": "hr"
				}
			],
			"component": "span"
		},
		{
			"attribute": {
				"id": "SOR_HS_INFO",
				"style": ["position:absolute", "left:20px", "top:495px", "width:170px", "height:15px"]
			},
			"component": "label",
			"content": "Lisätietoja"
		},
		{
			"attribute": {
				"name": "SOR_FT_INFO",
				"style": ["position:absolute", "left:192px", "top:495px", "width:724px", "height:110px"]
			},
			"component": "textarea"
		},
		{
			"attribute": {
				"style": [
					"position:absolute",
					"left:10px",
					"top:104px",
					"width:916px",
					"height: 1px",
					"border: none",
					"color:lightgray",
					"background-color:lightgray"
				]
			},
			"component": "hr"
		}
	],
	"comment": "Line $5 [10,108,916,0]"
}
